> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create connection link

> Create a single-use link that lets someone else connect an app to this org without signing in.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json post /orgs/connections/links
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
tags:
  - name: Inbox
  - name: Chats
  - name: Messages
  - name: Contacts
  - name: Custom channels
  - name: Segments
  - name: Suppressions
  - name: Assistants
  - name: Agents
  - name: Skills
  - name: Knowledge
  - name: AI
  - name: Broadcasts
  - name: Email sending
  - name: WhatsApp
  - name: WhatsApp Meta agent
  - name: Tables
  - name: Records
  - name: Views
  - name: Pages
  - name: Connections
  - name: Workspace
  - name: Sub-organizations
  - name: Analytics and logs
  - name: Workflows
paths:
  /orgs/connections/links:
    post:
      tags:
        - Connections
      summary: Create connection link
      description: >-
        Create a single-use link that lets someone else connect an app to this
        org without signing in.
      parameters: []
      requestBody:
        description: The app to connect and how long the link works.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateConnectionLinkSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CreateConnectionLinkSchema'
      responses:
        '200':
          description: The new connection link.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectionLinkSchema'
components:
  schemas:
    CreateConnectionLinkSchema:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/ConnectionTypeSchema'
        expires_in_hours:
          type: integer
          minimum: 1
          maximum: 168
          default: 168
          description: Hours until the link stops working
        connection_id:
          type: string
          maxLength: 128
          description: >-
            An existing connection of the same app to repair: whoever opens the
            link signs it in again
      required:
        - type
    ConnectionLinkSchema:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the link
        type:
          $ref: '#/components/schemas/ConnectionTypeSchema'
        url:
          type: string
          description: >-
            The link to send. Whoever opens it connects the app to this org,
            without signing in.
        expires_at:
          type:
            - string
            - 'null'
          format: date-time
          description: When the link stops working
        created_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Timestamp when the link was created
      required:
        - id
        - type
        - url
        - expires_at
        - created_at
      description: A single-use link that connects an app to the org
    ConnectionTypeSchema:
      type: string
      enum:
        - SCHEDULER
        - WORKFLOWS
        - TOOLS
        - FILES
        - EMAILS
        - HTTP_CREDENTIALS
        - TABLES
        - PAGES
        - KNOWLEDGE
        - SKILLS
        - CONTACTS
        - SEGMENTS
        - ASSISTANTS
        - AGENTS
        - CHATS
        - INBOX
        - MEMBERS
        - SUB_ORGS
        - BROADCASTS
        - ANALYTICS
        - AUDIT
        - PHONE
        - GMAIL
        - GOOGLE_SHEETS
        - GOOGLE_CALENDAR
        - GOOGLE_DRIVE
        - GOOGLE_MEET
        - ONEDRIVE
        - SHAREPOINT
        - OUTLOOK_CALENDAR
        - OUTLOOK
        - AIRTABLE
        - NOTION
        - LINEAR
        - HUBSPOT
        - GOHIGHLEVEL
        - CAL
        - CALENDLY
        - RESEND
        - OAUTH
        - SLACK
        - TEAMS
        - TELEGRAM
        - TRELLO
        - FACEBOOK
        - WHATSAPP
        - INSTAGRAM
        - MESSENGER
        - TIKTOK
        - JAPIFON
        - SMPP
        - TWILIO
        - TELNYX
        - ZOHO
        - ZOHO_BOOKINGS
        - ZOHO_INVENTORY
        - ZOHO_CALENDAR
        - SALESFORCE
        - STRIPE
        - SHOPIFY
        - ZENDESK
        - MCP
        - OPENAPI
        - ODOO
        - WOOCOMMERCE
      description: Connection type
      example: SLACK
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.